Package org.kapott.hbci.GV_Result

## Class GVRKUms

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRKUms

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public class GVRKUms
    extends HBCIJobResultImpl

Ergebnisse der Abfrage von Kontoumsatzinformationen. Ein Objekt dieser Klasse entspricht einen Kontoauszug. Ein Kontoauszug ist in einzelne Buchungstage unterteilt. Für jeden einzelnen Buchungstag wiederum gibt es eine Anzahl von Umsatzzeilen (das entspricht je einem Eintrag auf dem "normalen" Kontoauszug auf Papier). Jede einzelne Umsatzzeile wiederum enthält die einzelnen Informationen zu genau einer Transaktion.

Es können auch alle Umsatzzeilen in einer einzigen Liste abgefragt werden (also nicht in Buchungstage unterteilt .

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRKUms.BTag` Enthält alle Transaktionen eines einzelnen Buchungstages.
`static class` `GVRKUms.UmsLine` Eine "Zeile" des Kontoauszuges (enthält Daten einer Transaktion)

### Field Summary

Fields
`java.util.List<java.lang.String>` `camtBooked` Die originale empfangenen CAMT-Dateien mit den gebuchten Umsaetzen.
`java.util.List<java.lang.String>` `camtNotBooked` Die originale empfangenen CAMT-Dateien mit den Vormerkbuchungen.
`java.lang.StringBuffer` `restMT940` Dieses Feld enthält einen String, der den nicht-auswertbaren Teil der Kontoauszüge enthält.
`java.lang.StringBuffer` `restMT942` Wie restMT940, allerdings für die Daten der *vorgemerkten* Umsätze.

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRKUms()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendMT940Data​(java.lang.String data)`
`void` `appendMT942Data​(java.lang.String data)`
`java.util.List<GVRKUms.BTag>` `getDataPerDay()` Gibt die Umsatzinformationen gruppiert nach Buchungstagen zurück.
`java.util.List<GVRKUms.BTag>` `getDataPerDayUnbooked()` Gibt die vorgemerkten Umsaetze gruppiert nach Buchungstagen zurueck.
`java.util.List<GVRKUms.UmsLine>` `getFlatData()` Gibt alle Transaktionsdatensätze in einer "flachen" Struktur zurück.
`java.util.List<GVRKUms.UmsLine>` `getFlatDataUnbooked()` Gibt eine Liste aller vorgemerkten Umsätze zurück
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### camtBooked

    public java.util.List<java.lang.String> camtBooked

Die originale empfangenen CAMT-Dateien mit den gebuchten Umsaetzen.

#### camtNotBooked

    public java.util.List<java.lang.String> camtNotBooked

Die originale empfangenen CAMT-Dateien mit den Vormerkbuchungen.

#### restMT940

    public java.lang.StringBuffer restMT940

Dieses Feld enthält einen String, der den nicht-auswertbaren Teil der Kontoauszüge enthält. Es dient nur zu Debugging-Zwecken und sollte eigentlich immer `null` bzw. einen leeren String enthalten. Wenn das nicht der Fall ist, dann konnten die empfangenen Kontoauszüge nicht richtig geparst werden, und dieser String enthält den "Schwanz" der Kontoauszugsdaten, bei dem das Parsing-Problem aufgetreten ist.

#### restMT942

    public java.lang.StringBuffer restMT942

Wie restMT940, allerdings für die Daten der *vorgemerkten* Umsätze.

### Constructor Detail

#### GVRKUms

    public GVRKUms()

### Method Detail

#### appendMT940Data

    public void appendMT940Data​(java.lang.String data)

#### appendMT942Data

    public void appendMT942Data​(java.lang.String data)

#### getDataPerDay

    public java.util.List<GVRKUms.BTag> getDataPerDay()

Gibt die Umsatzinformationen gruppiert nach Buchungstagen zurück.

Returns:
  Liste mit Informationen zu einzelnen Buchungstagen (`GVRKUms.BTag`)

#### getDataPerDayUnbooked

    public java.util.List<GVRKUms.BTag> getDataPerDayUnbooked()

Gibt die vorgemerkten Umsaetze gruppiert nach Buchungstagen zurueck.

Returns:
  Liste mit Informationen zu einzelnen Buchungstagen der Vormerkbuchungen (`GVRKUms.BTag`)

#### getFlatData

    public java.util.List<GVRKUms.UmsLine> getFlatData()

Gibt alle Transaktionsdatensätze in einer "flachen" Struktur zurück. D.h. nicht in einzelne Buchungstage unterteilt, sondern in einer Liste analog zu einem "normalen" Kontoauszug.

Returns:
  Liste mit Transaktionsdaten (`GVRKUms.UmsLine`)

#### getFlatDataUnbooked

    public java.util.List<GVRKUms.UmsLine> getFlatDataUnbooked()

Gibt eine Liste aller vorgemerkten Umsätze zurück

Returns:
  Liste von `GVRKUms.UmsLine`-Objekten der vorgemerkten Umsätze

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`